MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Auth
Bundler
Bundles
Catalog
Deployments
Discover
LLM
MCP Listing Claims
MCP Listings
OAuth2
Observability
Organisations
Reviews
Create ReviewGet ReviewSearch Reviews
Roadmap
SCIM
Users
Utils
Vault
Webhooks
API ReferenceReviews

Create Review

POST
/v1/reviews

Submit a review for an MCP listing. One review per user per listing.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/reviews" \  -H "Content-Type: application/json" \  -d '{    "listing_id": "5322d4a9-51d2-4408-82fb-01ffecfb8304",    "rating": 1  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "listing_id": "5322d4a9-51d2-4408-82fb-01ffecfb8304",  "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",  "rating": 0,  "title": "string",  "body": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "user": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "username": "string",    "display_name": "string",    "avatar_url": "string"  }}
{  "detail": "string",  "code": "string"}
{  "detail": "string",  "code": "string"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Reviews

Endpoints in the Reviews group.

Get Review

Next Page

listing_id*Listing Id
Formatuuid
rating*Rating
Range1 <= value <= 10
title?|null
body?string|null